<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
            flat
            dense
            round
            @click="leftDrawerOpen = !leftDrawerOpen"
            icon="menu"
            aria-label="Menu"
        />

        <q-toolbar-title>
          Math App
        </q-toolbar-title>

        <div>for Elizabeth</div>
      </q-toolbar>
    </q-header>

    <q-drawer
        v-model="leftDrawerOpen"
        show-if-above
        bordered
        content-class="bg-grey-1"
    >
      <q-list>
        <q-item-label header class="text-grey-8">Practice</q-item-label>
        <EssentialLink
            v-for="link in essentialLinks"
            :key="link.title"
            v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import EssentialLink from 'components/EssentialLink'

export default {
  name: 'MainLayout',

  components: {
    EssentialLink,
  },

  data() {
    return {
      leftDrawerOpen: false,
      essentialLinks: [
        {
          title: 'Multiplication and Division',
          caption: 'Learn your times tables',
          icon: 'close',
          link: { to: 'multiply' },
        },
      ],
    }
  },
}
</script>
